Index: branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.Designer.cs	(revision 16516)
+++ branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.Designer.cs	(revision 16517)
@@ -25,25 +25,23 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
+      this.variableValuesModeComboBox = new System.Windows.Forms.ComboBox();
+      this.configSplitContainer = new System.Windows.Forms.SplitContainer();
+      this.variableGroupBox = new System.Windows.Forms.GroupBox();
       this.variableListView = new System.Windows.Forms.ListView();
-      this.partialDependencePlotTableLayout = new System.Windows.Forms.TableLayoutPanel();
-      this.yAxisConfigGroupBox = new System.Windows.Forms.GroupBox();
-      this.limitView = new HeuristicLab.Problems.DataAnalysis.Views.DoubleLimitView();
-      this.automaticYAxisCheckBox = new System.Windows.Forms.CheckBox();
+      this.rowSelectGroupBox = new System.Windows.Forms.GroupBox();
+      this.rowLabel = new System.Windows.Forms.Label();
+      this.rowNrNumericUpDown = new System.Windows.Forms.NumericUpDown();
       this.densityGroupBox = new System.Windows.Forms.GroupBox();
       this.columnsNumericUpDown = new System.Windows.Forms.NumericUpDown();
       this.columnsLabel = new System.Windows.Forms.Label();
       this.densityComboBox = new System.Windows.Forms.ComboBox();
-      this.label1 = new System.Windows.Forms.Label();
-      this.configSplitContainer = new System.Windows.Forms.SplitContainer();
-      this.variableGroupBox = new System.Windows.Forms.GroupBox();
-      this.rowSelectGroupBox = new System.Windows.Forms.GroupBox();
-      this.variableValuesModeComboBox = new System.Windows.Forms.ComboBox();
-      this.rowLabel = new System.Windows.Forms.Label();
-      this.rowNrNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.densityLabel = new System.Windows.Forms.Label();
+      this.yAxisConfigGroupBox = new System.Windows.Forms.GroupBox();
+      this.limitView = new HeuristicLab.Problems.DataAnalysis.Views.DoubleLimitView();
+      this.automaticYAxisCheckBox = new System.Windows.Forms.CheckBox();
       this.scrollPanel = new System.Windows.Forms.Panel();
+      this.partialDependencePlotTableLayout = new System.Windows.Forms.TableLayoutPanel();
       this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
-      this.yAxisConfigGroupBox.SuspendLayout();
-      this.densityGroupBox.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.columnsNumericUpDown)).BeginInit();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       ((System.ComponentModel.ISupportInitialize)(this.configSplitContainer)).BeginInit();
       this.configSplitContainer.Panel1.SuspendLayout();
@@ -53,7 +51,59 @@
       this.rowSelectGroupBox.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.rowNrNumericUpDown)).BeginInit();
+      this.densityGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.columnsNumericUpDown)).BeginInit();
+      this.yAxisConfigGroupBox.SuspendLayout();
       this.scrollPanel.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.SuspendLayout();
+      // 
+      // variableValuesModeComboBox
+      // 
+      this.variableValuesModeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.variableValuesModeComboBox.Items.AddRange(new object[] {
+            "Row",
+            "Mean",
+            "Median",
+            "Most Common"});
+      this.variableValuesModeComboBox.Location = new System.Drawing.Point(10, 19);
+      this.variableValuesModeComboBox.Name = "variableValuesModeComboBox";
+      this.variableValuesModeComboBox.Size = new System.Drawing.Size(150, 21);
+      this.variableValuesModeComboBox.TabIndex = 3;
+      this.variableValuesModeComboBox.SelectedValueChanged += new System.EventHandler(this.variableValuesComboBox_SelectedValueChanged);
+      this.variableValuesModeComboBox.MouseLeave += new System.EventHandler(this.variableValuesModeComboBox_MouseLeave);
+      this.variableValuesModeComboBox.MouseHover += new System.EventHandler(this.variableValuesModeComboBox_MouseHover);
+      // 
+      // configSplitContainer
+      // 
+      this.configSplitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.configSplitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
+      this.configSplitContainer.Location = new System.Drawing.Point(0, 0);
+      this.configSplitContainer.Name = "configSplitContainer";
+      // 
+      // configSplitContainer.Panel1
+      // 
+      this.configSplitContainer.Panel1.Controls.Add(this.variableGroupBox);
+      this.configSplitContainer.Panel1.Controls.Add(this.rowSelectGroupBox);
+      this.configSplitContainer.Panel1.Controls.Add(this.densityGroupBox);
+      this.configSplitContainer.Panel1.Controls.Add(this.yAxisConfigGroupBox);
+      // 
+      // configSplitContainer.Panel2
+      // 
+      this.configSplitContainer.Panel2.Controls.Add(this.scrollPanel);
+      this.configSplitContainer.Size = new System.Drawing.Size(715, 648);
+      this.configSplitContainer.SplitterDistance = 169;
+      this.configSplitContainer.TabIndex = 0;
+      this.configSplitContainer.TabStop = false;
+      // 
+      // variableGroupBox
+      // 
+      this.variableGroupBox.Controls.Add(this.variableListView);
+      this.variableGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.variableGroupBox.Location = new System.Drawing.Point(0, 225);
+      this.variableGroupBox.Name = "variableGroupBox";
+      this.variableGroupBox.Size = new System.Drawing.Size(169, 423);
+      this.variableGroupBox.TabIndex = 1;
+      this.variableGroupBox.TabStop = false;
+      this.variableGroupBox.Text = "Variables";
       // 
       // variableListView
@@ -69,53 +119,33 @@
       this.variableListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.variableListView_ItemChecked);
       // 
-      // partialDependencePlotTableLayout
-      // 
-      this.partialDependencePlotTableLayout.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.partialDependencePlotTableLayout.AutoSize = true;
-      this.partialDependencePlotTableLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
-      this.partialDependencePlotTableLayout.ColumnCount = 1;
-      this.partialDependencePlotTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
-      this.partialDependencePlotTableLayout.Location = new System.Drawing.Point(0, 0);
-      this.partialDependencePlotTableLayout.Name = "partialDependencePlotTableLayout";
-      this.partialDependencePlotTableLayout.RowCount = 1;
-      this.partialDependencePlotTableLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
-      this.partialDependencePlotTableLayout.Size = new System.Drawing.Size(542, 0);
-      this.partialDependencePlotTableLayout.TabIndex = 2;
-      // 
-      // yAxisConfigGroupBox
-      // 
-      this.yAxisConfigGroupBox.Controls.Add(this.limitView);
-      this.yAxisConfigGroupBox.Controls.Add(this.automaticYAxisCheckBox);
-      this.yAxisConfigGroupBox.Dock = System.Windows.Forms.DockStyle.Top;
-      this.yAxisConfigGroupBox.Location = new System.Drawing.Point(0, 0);
-      this.yAxisConfigGroupBox.Name = "yAxisConfigGroupBox";
-      this.yAxisConfigGroupBox.Size = new System.Drawing.Size(169, 77);
-      this.yAxisConfigGroupBox.TabIndex = 2;
-      this.yAxisConfigGroupBox.TabStop = false;
-      this.yAxisConfigGroupBox.Text = "Y-Axis";
-      // 
-      // limitView
-      // 
-      this.limitView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.limitView.Caption = "DoubleLimit View";
-      this.limitView.Content = null;
-      this.limitView.Location = new System.Drawing.Point(6, 20);
-      this.limitView.Name = "limitView";
-      this.limitView.ReadOnly = false;
-      this.limitView.Size = new System.Drawing.Size(157, 47);
-      this.limitView.TabIndex = 1;
-      // 
-      // automaticYAxisCheckBox
-      // 
-      this.automaticYAxisCheckBox.AutoSize = true;
-      this.automaticYAxisCheckBox.Location = new System.Drawing.Point(49, -1);
-      this.automaticYAxisCheckBox.Name = "automaticYAxisCheckBox";
-      this.automaticYAxisCheckBox.Size = new System.Drawing.Size(73, 17);
-      this.automaticYAxisCheckBox.TabIndex = 0;
-      this.automaticYAxisCheckBox.Text = "Automatic";
-      this.automaticYAxisCheckBox.UseVisualStyleBackColor = true;
-      this.automaticYAxisCheckBox.CheckedChanged += new System.EventHandler(this.automaticYAxisCheckBox_CheckedChanged);
+      // rowSelectGroupBox
+      // 
+      this.rowSelectGroupBox.Controls.Add(this.variableValuesModeComboBox);
+      this.rowSelectGroupBox.Controls.Add(this.rowLabel);
+      this.rowSelectGroupBox.Controls.Add(this.rowNrNumericUpDown);
+      this.rowSelectGroupBox.Dock = System.Windows.Forms.DockStyle.Top;
+      this.rowSelectGroupBox.Location = new System.Drawing.Point(0, 151);
+      this.rowSelectGroupBox.Name = "rowSelectGroupBox";
+      this.rowSelectGroupBox.Size = new System.Drawing.Size(169, 74);
+      this.rowSelectGroupBox.TabIndex = 1;
+      this.rowSelectGroupBox.TabStop = false;
+      this.rowSelectGroupBox.Text = "Variable Values";
+      // 
+      // rowLabel
+      // 
+      this.rowLabel.AutoSize = true;
+      this.rowLabel.Location = new System.Drawing.Point(7, 48);
+      this.rowLabel.Name = "rowLabel";
+      this.rowLabel.Size = new System.Drawing.Size(46, 13);
+      this.rowLabel.TabIndex = 2;
+      this.rowLabel.Text = "Row Nr.";
+      // 
+      // rowNrNumericUpDown
+      // 
+      this.rowNrNumericUpDown.Location = new System.Drawing.Point(66, 46);
+      this.rowNrNumericUpDown.Name = "rowNrNumericUpDown";
+      this.rowNrNumericUpDown.Size = new System.Drawing.Size(94, 20);
+      this.rowNrNumericUpDown.TabIndex = 1;
+      this.rowNrNumericUpDown.ValueChanged += new System.EventHandler(this.rowNrNumericUpDown_ValueChanged);
       // 
       // densityGroupBox
@@ -124,5 +154,5 @@
       this.densityGroupBox.Controls.Add(this.columnsLabel);
       this.densityGroupBox.Controls.Add(this.densityComboBox);
-      this.densityGroupBox.Controls.Add(this.label1);
+      this.densityGroupBox.Controls.Add(this.densityLabel);
       this.densityGroupBox.Dock = System.Windows.Forms.DockStyle.Top;
       this.densityGroupBox.Location = new System.Drawing.Point(0, 77);
@@ -135,5 +165,5 @@
       // columnsNumericUpDown
       // 
-      this.columnsNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.columnsNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.columnsNumericUpDown.Location = new System.Drawing.Point(66, 46);
@@ -164,5 +194,5 @@
       // densityComboBox
       // 
-      this.densityComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.densityComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.densityComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -179,90 +209,47 @@
       this.densityComboBox.SelectedIndexChanged += new System.EventHandler(this.densityComboBox_SelectedIndexChanged);
       // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(7, 22);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(45, 13);
-      this.label1.TabIndex = 0;
-      this.label1.Text = "Density:";
-      // 
-      // configSplitContainer
-      // 
-      this.configSplitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.configSplitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
-      this.configSplitContainer.Location = new System.Drawing.Point(0, 0);
-      this.configSplitContainer.Name = "configSplitContainer";
-      // 
-      // configSplitContainer.Panel1
-      // 
-      this.configSplitContainer.Panel1.Controls.Add(this.variableGroupBox);
-      this.configSplitContainer.Panel1.Controls.Add(this.rowSelectGroupBox);
-      this.configSplitContainer.Panel1.Controls.Add(this.densityGroupBox);
-      this.configSplitContainer.Panel1.Controls.Add(this.yAxisConfigGroupBox);
-      // 
-      // configSplitContainer.Panel2
-      // 
-      this.configSplitContainer.Panel2.Controls.Add(this.scrollPanel);
-      this.configSplitContainer.Size = new System.Drawing.Size(715, 648);
-      this.configSplitContainer.SplitterDistance = 169;
-      this.configSplitContainer.TabIndex = 0;
-      this.configSplitContainer.TabStop = false;
-      // 
-      // variableGroupBox
-      // 
-      this.variableGroupBox.Controls.Add(this.variableListView);
-      this.variableGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.variableGroupBox.Location = new System.Drawing.Point(0, 225);
-      this.variableGroupBox.Name = "variableGroupBox";
-      this.variableGroupBox.Size = new System.Drawing.Size(169, 423);
-      this.variableGroupBox.TabIndex = 1;
-      this.variableGroupBox.TabStop = false;
-      this.variableGroupBox.Text = "Variables";
-      // 
-      // rowSelectGroupBox
-      // 
-      this.rowSelectGroupBox.Controls.Add(this.variableValuesModeComboBox);
-      this.rowSelectGroupBox.Controls.Add(this.rowLabel);
-      this.rowSelectGroupBox.Controls.Add(this.rowNrNumericUpDown);
-      this.rowSelectGroupBox.Dock = System.Windows.Forms.DockStyle.Top;
-      this.rowSelectGroupBox.Location = new System.Drawing.Point(0, 151);
-      this.rowSelectGroupBox.Name = "rowSelectGroupBox";
-      this.rowSelectGroupBox.Size = new System.Drawing.Size(169, 74);
-      this.rowSelectGroupBox.TabIndex = 1;
-      this.rowSelectGroupBox.TabStop = false;
-      this.rowSelectGroupBox.Text = "Variable Values";
-      // 
-      // variableValuesModeComboBox
-      // 
-      this.variableValuesModeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.variableValuesModeComboBox.FormattingEnabled = true;
-      this.variableValuesModeComboBox.Items.AddRange(new object[] {
-            "Row",
-            "Mean",
-            "Median",
-            "Most Common"});
-      this.variableValuesModeComboBox.Location = new System.Drawing.Point(10, 19);
-      this.variableValuesModeComboBox.Name = "variableValuesModeComboBox";
-      this.variableValuesModeComboBox.Size = new System.Drawing.Size(150, 21);
-      this.variableValuesModeComboBox.TabIndex = 3;
-      this.variableValuesModeComboBox.SelectedValueChanged += new System.EventHandler(this.variableValuesComboBox_SelectedValueChanged);
-      // 
-      // rowLabel
-      // 
-      this.rowLabel.AutoSize = true;
-      this.rowLabel.Location = new System.Drawing.Point(7, 48);
-      this.rowLabel.Name = "rowLabel";
-      this.rowLabel.Size = new System.Drawing.Size(44, 13);
-      this.rowLabel.TabIndex = 2;
-      this.rowLabel.Text = "Row nr.";
-      // 
-      // rowNrNumericUpDown
-      // 
-      this.rowNrNumericUpDown.Location = new System.Drawing.Point(66, 46);
-      this.rowNrNumericUpDown.Name = "rowNrNumericUpDown";
-      this.rowNrNumericUpDown.Size = new System.Drawing.Size(94, 20);
-      this.rowNrNumericUpDown.TabIndex = 1;
-      this.rowNrNumericUpDown.ValueChanged += new System.EventHandler(this.rowNrNumericUpDown_ValueChanged);
+      // densityLabel
+      // 
+      this.densityLabel.AutoSize = true;
+      this.densityLabel.Location = new System.Drawing.Point(7, 22);
+      this.densityLabel.Name = "densityLabel";
+      this.densityLabel.Size = new System.Drawing.Size(45, 13);
+      this.densityLabel.TabIndex = 0;
+      this.densityLabel.Text = "Density:";
+      // 
+      // yAxisConfigGroupBox
+      // 
+      this.yAxisConfigGroupBox.Controls.Add(this.limitView);
+      this.yAxisConfigGroupBox.Controls.Add(this.automaticYAxisCheckBox);
+      this.yAxisConfigGroupBox.Dock = System.Windows.Forms.DockStyle.Top;
+      this.yAxisConfigGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.yAxisConfigGroupBox.Name = "yAxisConfigGroupBox";
+      this.yAxisConfigGroupBox.Size = new System.Drawing.Size(169, 77);
+      this.yAxisConfigGroupBox.TabIndex = 2;
+      this.yAxisConfigGroupBox.TabStop = false;
+      this.yAxisConfigGroupBox.Text = "Y-Axis";
+      // 
+      // limitView
+      // 
+      this.limitView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.limitView.Caption = "DoubleLimit View";
+      this.limitView.Content = null;
+      this.limitView.Location = new System.Drawing.Point(6, 20);
+      this.limitView.Name = "limitView";
+      this.limitView.ReadOnly = false;
+      this.limitView.Size = new System.Drawing.Size(157, 47);
+      this.limitView.TabIndex = 1;
+      // 
+      // automaticYAxisCheckBox
+      // 
+      this.automaticYAxisCheckBox.AutoSize = true;
+      this.automaticYAxisCheckBox.Location = new System.Drawing.Point(49, -1);
+      this.automaticYAxisCheckBox.Name = "automaticYAxisCheckBox";
+      this.automaticYAxisCheckBox.Size = new System.Drawing.Size(73, 17);
+      this.automaticYAxisCheckBox.TabIndex = 0;
+      this.automaticYAxisCheckBox.Text = "Automatic";
+      this.automaticYAxisCheckBox.UseVisualStyleBackColor = true;
+      this.automaticYAxisCheckBox.CheckedChanged += new System.EventHandler(this.automaticYAxisCheckBox_CheckedChanged);
       // 
       // scrollPanel
@@ -275,4 +262,19 @@
       this.scrollPanel.TabIndex = 0;
       // 
+      // partialDependencePlotTableLayout
+      // 
+      this.partialDependencePlotTableLayout.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.partialDependencePlotTableLayout.AutoSize = true;
+      this.partialDependencePlotTableLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
+      this.partialDependencePlotTableLayout.ColumnCount = 1;
+      this.partialDependencePlotTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
+      this.partialDependencePlotTableLayout.Location = new System.Drawing.Point(0, 0);
+      this.partialDependencePlotTableLayout.Name = "partialDependencePlotTableLayout";
+      this.partialDependencePlotTableLayout.RowCount = 1;
+      this.partialDependencePlotTableLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
+      this.partialDependencePlotTableLayout.Size = new System.Drawing.Size(542, 0);
+      this.partialDependencePlotTableLayout.TabIndex = 2;
+      // 
       // errorProvider
       // 
@@ -287,9 +289,4 @@
       this.Name = "RegressionSolutionPartialDependencePlotView";
       this.Size = new System.Drawing.Size(715, 648);
-      this.yAxisConfigGroupBox.ResumeLayout(false);
-      this.yAxisConfigGroupBox.PerformLayout();
-      this.densityGroupBox.ResumeLayout(false);
-      this.densityGroupBox.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.columnsNumericUpDown)).EndInit();
       this.configSplitContainer.Panel1.ResumeLayout(false);
       this.configSplitContainer.Panel2.ResumeLayout(false);
@@ -300,4 +297,9 @@
       this.rowSelectGroupBox.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.rowNrNumericUpDown)).EndInit();
+      this.densityGroupBox.ResumeLayout(false);
+      this.densityGroupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.columnsNumericUpDown)).EndInit();
+      this.yAxisConfigGroupBox.ResumeLayout(false);
+      this.yAxisConfigGroupBox.PerformLayout();
       this.scrollPanel.ResumeLayout(false);
       this.scrollPanel.PerformLayout();
@@ -321,5 +323,5 @@
     private System.Windows.Forms.Label columnsLabel;
     private System.Windows.Forms.ErrorProvider errorProvider;
-    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label densityLabel;
     private System.Windows.Forms.NumericUpDown columnsNumericUpDown;
     private System.Windows.Forms.GroupBox rowSelectGroupBox;
@@ -327,4 +329,5 @@
     private System.Windows.Forms.Label rowLabel;
     private System.Windows.Forms.NumericUpDown rowNrNumericUpDown;
+    private System.Windows.Forms.ToolTip toolTip;
   }
 }
Index: branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.cs	(revision 16516)
+++ branches/2972_PDPRowSelect/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionPartialDependencePlotView.cs	(revision 16517)
@@ -97,4 +97,9 @@
       var problemData = Content.ProblemData;
 
+      if (sharedFixedVariables != null) {
+        sharedFixedVariables.ItemChanged -= SharedFixedVariables_ItemChanged;
+        sharedFixedVariables.Reset -= SharedFixedVariables_Reset;
+      }
+
       // Init Y-axis range
       double min = double.MaxValue, max = double.MinValue;
@@ -120,22 +125,16 @@
         Content.ProblemData.Dataset.VariableNames.Where(v => inputvariables.Contains(v)).ToList();
 
-      // ToDo: set default values with the variableValuesMode
       var doubleVariables = allowedInputVariables.Where(problemData.Dataset.VariableHasType<double>);
       var doubleVariableValues = (IEnumerable<IList>)doubleVariables.Select(x => new List<double> {
-        problemData.Dataset.GetDoubleValues(x, problemData.TrainingIndices).Median()
+        problemData.Dataset.GetDoubleValue(x, 0)
       });
 
       var factorVariables = allowedInputVariables.Where(problemData.Dataset.VariableHasType<string>);
       var factorVariableValues = (IEnumerable<IList>)factorVariables.Select(x => new List<string> {
-        MostCommon(problemData.Dataset.GetStringValues(x, problemData.TrainingIndices))
+        problemData.Dataset.GetStringValue(x, 0)
       });
 
-      if (sharedFixedVariables != null) {
-        sharedFixedVariables.ItemChanged -= SharedFixedVariables_ItemChanged;
-        sharedFixedVariables.Reset -= SharedFixedVariables_Reset;
-      }
-
       sharedFixedVariables = new ModifiableDataset(doubleVariables.Concat(factorVariables), doubleVariableValues.Concat(factorVariableValues));
-
+      variableValuesModeComboBox.SelectedItem = "Median"; // triggers UpdateVariableValue and changes shardFixedVariables
 
       // create controls
@@ -645,4 +644,21 @@
       return values.GroupBy(x => x).OrderByDescending(g => g.Count()).Select(g => g.Key).First();
     }
+
+    // ToolTips cannot be shown longer than 5000ms, only by using ToolTip.Show manually
+    // See: https://stackoverflow.com/questions/8225807/c-sharp-tooltip-doesnt-display-long-enough
+    private void variableValuesModeComboBox_MouseHover(object sender, EventArgs e) {
+      string tooltipText = @"Sets each variable to a specific value:
+    Row - Selects the value based on a specified row of the dataset.
+    Mean - Sets the value to the arithmetic mean of the variable.
+    Median - Sets the value to the median of the variable.
+    Most Common - Sets the value to the most common value of the variable (first if multiple).
+
+Note: For categorical values, the most common value is used when selecting Mean, Median or Most Common.";
+      toolTip.Show(tooltipText, variableValuesModeComboBox, 30000);
+      toolTip.Active = true;
+    }
+    private void variableValuesModeComboBox_MouseLeave(object sender, EventArgs e) {
+      toolTip.Active = false;
+    }
   }
 }