Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 16518)
@@ -114,4 +114,5 @@
       // 
       this.problemTabPage.AllowDrop = true;
+      this.problemTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.problemTabPage.Controls.Add(this.problemViewHost);
       this.problemTabPage.Controls.Add(this.openProblemButton);
@@ -123,5 +124,4 @@
       this.problemTabPage.TabIndex = 0;
       this.problemTabPage.Text = "Problem";
-      this.problemTabPage.UseVisualStyleBackColor = true;
       this.problemTabPage.DragDrop += new System.Windows.Forms.DragEventHandler(this.problemTabPage_DragDrop);
       this.problemTabPage.DragEnter += new System.Windows.Forms.DragEventHandler(this.problemTabPage_DragEnterOver);
@@ -168,4 +168,5 @@
       // parametersTabPage
       // 
+      this.parametersTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.parametersTabPage.Controls.Add(this.parameterCollectionView);
       this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
@@ -175,5 +176,4 @@
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Algorithm";
-      this.parametersTabPage.UseVisualStyleBackColor = true;
       // 
       // parameterCollectionView
@@ -193,4 +193,5 @@
       // resultsTabPage
       // 
+      this.resultsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.resultsTabPage.Controls.Add(this.resultsView);
       this.resultsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -200,5 +201,4 @@
       this.resultsTabPage.TabIndex = 2;
       this.resultsTabPage.Text = "Results";
-      this.resultsTabPage.UseVisualStyleBackColor = true;
       // 
       // resultsView
@@ -217,4 +217,5 @@
       // runsTabPage
       // 
+      this.runsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.runsTabPage.Controls.Add(this.storeAlgorithmInEachRunCheckBox);
       this.runsTabPage.Controls.Add(this.runsView);
@@ -225,5 +226,4 @@
       this.runsTabPage.TabIndex = 3;
       this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
       // 
       // storeAlgorithmInEachRunCheckBox
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 16518)
@@ -108,4 +108,5 @@
       // 
       this.optimizerTabPage.AllowDrop = true;
+      this.optimizerTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.optimizerTabPage.Controls.Add(this.optimizerViewHost);
       this.optimizerTabPage.Controls.Add(this.openOptimizerButton);
@@ -117,5 +118,4 @@
       this.optimizerTabPage.TabIndex = 1;
       this.optimizerTabPage.Text = "Optimizer";
-      this.optimizerTabPage.UseVisualStyleBackColor = true;
       this.optimizerTabPage.DragDrop += new System.Windows.Forms.DragEventHandler(this.optimizerTabPage_DragDrop);
       this.optimizerTabPage.DragEnter += new System.Windows.Forms.DragEventHandler(this.optimizerTabPage_DragEnterOver);
@@ -162,4 +162,5 @@
       // runsTabPage
       // 
+      this.runsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.runsTabPage.Controls.Add(this.runsView);
       this.runsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -169,5 +170,4 @@
       this.runsTabPage.TabIndex = 2;
       this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
       // 
       // runsView
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 16518)
@@ -188,4 +188,5 @@
       // engineTabPage
       // 
+      this.engineTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.engineTabPage.Controls.Add(this.engineViewHost);
       this.engineTabPage.Controls.Add(this.engineComboBox);
@@ -197,5 +198,4 @@
       this.engineTabPage.TabIndex = 5;
       this.engineTabPage.Text = "Engine";
-      this.engineTabPage.UseVisualStyleBackColor = true;
       // 
       // engineViewHost
@@ -217,4 +217,5 @@
       // operatorGraphTabPage
       // 
+      this.operatorGraphTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.operatorGraphTabPage.Controls.Add(this.operatorGraphViewHost);
       this.operatorGraphTabPage.Location = new System.Drawing.Point(4, 22);
@@ -223,5 +224,4 @@
       this.operatorGraphTabPage.TabIndex = 4;
       this.operatorGraphTabPage.Text = "Operator Graph";
-      this.operatorGraphTabPage.UseVisualStyleBackColor = true;
       // 
       // operatorGraphViewHost
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentListView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentListView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentListView.Designer.cs	(revision 16518)
@@ -111,4 +111,5 @@
       // optimizersTabPage
       // 
+      this.optimizersTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.optimizersTabPage.Controls.Add(this.optimizerListView);
       this.optimizersTabPage.Location = new System.Drawing.Point(4, 22);
@@ -118,5 +119,4 @@
       this.optimizersTabPage.TabIndex = 1;
       this.optimizersTabPage.Text = "Optimizers";
-      this.optimizersTabPage.UseVisualStyleBackColor = true;
       // 
       // optimizerListView
@@ -135,4 +135,5 @@
       // runsTabPage
       // 
+      this.runsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.runsTabPage.Controls.Add(this.runsViewHost);
       this.runsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -142,5 +143,4 @@
       this.runsTabPage.TabIndex = 2;
       this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
       // 
       // runsViewHost
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 16518)
@@ -101,6 +101,6 @@
       // 
       this.tabControl.AllowDrop = true;
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.optimizersTabPage);
@@ -114,4 +114,5 @@
       // optimizersTabPage
       // 
+      this.optimizersTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.optimizersTabPage.Controls.Add(this.experimentTreeView);
       this.optimizersTabPage.Location = new System.Drawing.Point(4, 22);
@@ -121,5 +122,4 @@
       this.optimizersTabPage.TabIndex = 1;
       this.optimizersTabPage.Text = "Optimizers";
-      this.optimizersTabPage.UseVisualStyleBackColor = true;
       // 
       // experimentTreeView
@@ -136,4 +136,5 @@
       // runsTabPage
       // 
+      this.runsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.runsTabPage.Controls.Add(this.runsViewHost);
       this.runsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -143,10 +144,9 @@
       this.runsTabPage.TabIndex = 2;
       this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
       // 
       // runsViewHost
       // 
-      this.runsViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.runsViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.runsViewHost.Caption = "View";
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ICharacteristicCalculatorView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ICharacteristicCalculatorView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/ICharacteristicCalculatorView.Designer.cs	(revision 16518)
@@ -66,4 +66,5 @@
       // parametersTabPage
       // 
+      this.parametersTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.parametersTabPage.Controls.Add(this.parameterCollectionView);
       this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
@@ -73,8 +74,8 @@
       this.parametersTabPage.TabIndex = 0;
       this.parametersTabPage.Text = "Parameters";
-      this.parametersTabPage.UseVisualStyleBackColor = true;
       // 
       // characteristicsTabPage
       // 
+      this.characteristicsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.characteristicsTabPage.Location = new System.Drawing.Point(4, 22);
       this.characteristicsTabPage.Name = "characteristicsTabPage";
@@ -83,5 +84,4 @@
       this.characteristicsTabPage.TabIndex = 1;
       this.characteristicsTabPage.Text = "Characteristics";
-      this.characteristicsTabPage.UseVisualStyleBackColor = true;
       // 
       // parameterCollectionView
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/MultiEncodingView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/MultiEncodingView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/MultiEncodingView.Designer.cs	(revision 16518)
@@ -210,4 +210,5 @@
       // encodingsTabPage
       // 
+      this.encodingsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.encodingsTabPage.Controls.Add(this.encodingsGroupBox);
       this.encodingsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -217,8 +218,8 @@
       this.encodingsTabPage.TabIndex = 0;
       this.encodingsTabPage.Text = "Encodings";
-      this.encodingsTabPage.UseVisualStyleBackColor = true;
       // 
       // parametersTabPage
       // 
+      this.parametersTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.parametersTabPage.Controls.Add(this.parameterCollectionView);
       this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
@@ -228,5 +229,4 @@
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
-      this.parametersTabPage.UseVisualStyleBackColor = true;
       // 
       // MultiEncodingView
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs	(revision 16518)
@@ -87,5 +87,5 @@
       // dataTableComboBox
       // 
-      this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.dataTableComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -117,5 +117,5 @@
       // groupComboBox
       // 
-      this.groupComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.groupComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.groupComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -141,5 +141,5 @@
       // targetsTextBox
       // 
-      this.targetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.targetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.targetsTextBox.Location = new System.Drawing.Point(59, 8);
@@ -198,5 +198,5 @@
       // budgetsTextBox
       // 
-      this.budgetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.budgetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.budgetsTextBox.Location = new System.Drawing.Point(59, 8);
@@ -233,6 +233,6 @@
       // tabControl
       // 
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.byTargetTabPage);
@@ -247,4 +247,5 @@
       // byTargetTabPage
       // 
+      this.byTargetTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.byTargetTabPage.Controls.Add(this.relativeOrAbsoluteComboBox);
       this.byTargetTabPage.Controls.Add(this.targetChart);
@@ -264,5 +265,4 @@
       this.byTargetTabPage.TabIndex = 0;
       this.byTargetTabPage.Text = "Performance by Target";
-      this.byTargetTabPage.UseVisualStyleBackColor = true;
       // 
       // relativeOrAbsoluteComboBox
@@ -282,6 +282,6 @@
       // targetChart
       // 
-      this.targetChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.targetChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       chartArea2.AxisX.IsStartedFromZero = false;
@@ -352,4 +352,5 @@
       // byCostTabPage
       // 
+      this.byCostTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.byCostTabPage.Controls.Add(this.byCostViewHost);
       this.byCostTabPage.Controls.Add(this.budgetLogScalingCheckBox);
@@ -364,10 +365,9 @@
       this.byCostTabPage.TabIndex = 1;
       this.byCostTabPage.Text = "Performance by Cost";
-      this.byCostTabPage.UseVisualStyleBackColor = true;
       // 
       // byCostViewHost
       // 
-      this.byCostViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.byCostViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.byCostViewHost.Caption = "View";
@@ -407,4 +407,5 @@
       // byTableTabPage
       // 
+      this.byTableTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.byTableTabPage.Controls.Add(this.ertTableView);
       this.byTableTabPage.Location = new System.Drawing.Point(4, 22);
@@ -414,5 +415,4 @@
       this.byTableTabPage.TabIndex = 2;
       this.byTableTabPage.Text = "Expected Runtime Tables";
-      this.byTableTabPage.UseVisualStyleBackColor = true;
       // 
       // ertTableView
@@ -431,5 +431,5 @@
       // problemComboBox
       // 
-      this.problemComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.problemComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.problemComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionView.Designer.cs	(revision 16518)
@@ -248,4 +248,5 @@
       // runPage
       // 
+      this.runPage.BackColor = System.Drawing.SystemColors.Window;
       this.runPage.Controls.Add(this.itemsGroupBox);
       this.runPage.Location = new System.Drawing.Point(4, 22);
@@ -255,8 +256,8 @@
       this.runPage.TabIndex = 0;
       this.runPage.Text = "Runs";
-      this.runPage.UseVisualStyleBackColor = true;
       // 
       // constraintPage
       // 
+      this.constraintPage.BackColor = System.Drawing.SystemColors.Window;
       this.constraintPage.Controls.Add(this.runCollectionConstraintCollectionView);
       this.constraintPage.Location = new System.Drawing.Point(4, 22);
@@ -266,5 +267,4 @@
       this.constraintPage.TabIndex = 1;
       this.constraintPage.Text = "Filtering";
-      this.constraintPage.UseVisualStyleBackColor = true;
       // 
       // runCollectionConstraintCollectionView
@@ -281,4 +281,5 @@
       // modifiersPage
       // 
+      this.modifiersPage.BackColor = System.Drawing.SystemColors.Window;
       this.modifiersPage.Controls.Add(this.runCollectionModifiersListView);
       this.modifiersPage.Location = new System.Drawing.Point(4, 22);
@@ -288,10 +289,9 @@
       this.modifiersPage.TabIndex = 2;
       this.modifiersPage.Text = "Modification";
-      this.modifiersPage.UseVisualStyleBackColor = true;
       // 
       // runCollectionModifiersListView
       // 
-      this.runCollectionModifiersListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.runCollectionModifiersListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.runCollectionModifiersListView.Caption = "Modifier View";
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/TimeLimitRunView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/TimeLimitRunView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/TimeLimitRunView.Designer.cs	(revision 16518)
@@ -113,5 +113,5 @@
       // timeLimitTextBox
       // 
-      this.timeLimitTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.timeLimitTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.timeLimitTextBox.Location = new System.Drawing.Point(69, 26);
@@ -132,5 +132,5 @@
       // snapshotsTextBox
       // 
-      this.snapshotsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.snapshotsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.snapshotsTextBox.Location = new System.Drawing.Point(69, 52);
@@ -155,6 +155,6 @@
       // 
       this.tabControl.AllowDrop = true;
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.algorithmTabPage);
@@ -170,4 +170,5 @@
       // 
       this.algorithmTabPage.AllowDrop = true;
+      this.algorithmTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.algorithmTabPage.Controls.Add(this.algorithmViewHost);
       this.algorithmTabPage.Controls.Add(this.openAlgorithmButton);
@@ -179,5 +180,4 @@
       this.algorithmTabPage.TabIndex = 1;
       this.algorithmTabPage.Text = "Algorithm";
-      this.algorithmTabPage.UseVisualStyleBackColor = true;
       this.algorithmTabPage.DragDrop += new System.Windows.Forms.DragEventHandler(this.algorithmTabPage_DragDrop);
       this.algorithmTabPage.DragEnter += new System.Windows.Forms.DragEventHandler(this.algorithmTabPage_DragEnterOver);
@@ -186,6 +186,6 @@
       // algorithmViewHost
       // 
-      this.algorithmViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.algorithmViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.algorithmViewHost.Caption = "View";
@@ -224,4 +224,5 @@
       // snapshotsTabPage
       // 
+      this.snapshotsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.snapshotsTabPage.Controls.Add(this.snapshotsView);
       this.snapshotsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -231,10 +232,9 @@
       this.snapshotsTabPage.TabIndex = 2;
       this.snapshotsTabPage.Text = "Snapshots";
-      this.snapshotsTabPage.UseVisualStyleBackColor = true;
       // 
       // snapshotsView
       // 
-      this.snapshotsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.snapshotsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.snapshotsView.Caption = "RunCollection View";
@@ -248,4 +248,5 @@
       // runsTabPage
       // 
+      this.runsTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.runsTabPage.Controls.Add(this.runsView);
       this.runsTabPage.Location = new System.Drawing.Point(4, 22);
@@ -254,10 +255,9 @@
       this.runsTabPage.TabIndex = 3;
       this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
       // 
       // runsView
       // 
-      this.runsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.runsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.runsView.Caption = "RunCollection View";
Index: branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs
===================================================================
--- branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 16444)
+++ branches/2972_PDPRowSelect/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 16518)
@@ -108,4 +108,5 @@
       // globalScopeTabPage
       // 
+      this.globalScopeTabPage.BackColor = System.Drawing.SystemColors.Window;
       this.globalScopeTabPage.Controls.Add(this.globalScopeView);
       this.globalScopeTabPage.Location = new System.Drawing.Point(4, 22);
@@ -114,5 +115,4 @@
       this.globalScopeTabPage.TabIndex = 6;
       this.globalScopeTabPage.Text = "Global Scope";
-      this.globalScopeTabPage.UseVisualStyleBackColor = true;
       // 
       // globalScopeView