Index: /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/HeuristicLab.Problem.Scheduling.MRCPSP-3.3.csproj
===================================================================
--- /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/HeuristicLab.Problem.Scheduling.MRCPSP-3.3.csproj	(revision 16523)
+++ /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/HeuristicLab.Problem.Scheduling.MRCPSP-3.3.csproj	(revision 16523)
@@ -0,0 +1,80 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{CCD920DC-6058-440B-A0A3-1527984AABD3}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Problems.Scheduling.MRCPSP</RootNamespace>
+    <AssemblyName>HeuristicLab.Problems.Scheduling.MRCPSP-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Net.Http" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Plugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PostBuildEvent>
+    </PostBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Plugin.cs.frame
===================================================================
--- /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Plugin.cs.frame	(revision 16523)
+++ /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Plugin.cs.frame	(revision 16523)
@@ -0,0 +1,8 @@
+﻿using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Scheduling.MRCPSP {
+  [Plugin("HeuristicLab.Problems.Scheduling.MRCPSP", "3.3.15.$WCREV$")]
+  [PluginFile("HeuristicLab.Problems.Scheduling.MRCPSP-3.3.dll", PluginFileType.Assembly)]
+  public class Plugin : PluginBase {
+  }
+}
Index: /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Properties/AssemblyInfo.cs.frame	(revision 16523)
+++ /branches/2981_MRCPSP/HeuristicLab.Problem.Scheduling.MRCPSP/3.3/Properties/AssemblyInfo.cs.frame	(revision 16523)
@@ -0,0 +1,35 @@
+﻿using System.Reflection;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristiclLab.MathematicalOptimization")]
+[assembly: AssemblyDescription("Implements the Multi-mode Resource-Constrained Project Scheduling Problem (MRCPSP)")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("ccd920dc-6058-440b-a0a3-1527984aabd3")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: /branches/2981_MRCPSP/PreBuildEvent.cmd
===================================================================
--- /branches/2981_MRCPSP/PreBuildEvent.cmd	(revision 16523)
+++ /branches/2981_MRCPSP/PreBuildEvent.cmd	(revision 16523)
@@ -0,0 +1,11 @@
+IF EXIST "%ProjectDir%\Properties\AssemblyInfo.cs.frame" SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.cs.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
+IF %ERRORLEVEL% NEQ 0 GOTO Error_Handling
+IF EXIST "%ProjectDir%\Plugin.cs.frame" SubWCRev "%ProjectDir%\" "%ProjectDir%\Plugin.cs.frame" "%ProjectDir%\Plugin.cs"
+IF %ERRORLEVEL% NEQ 0 GOTO Error_Handling
+GOTO Done
+
+:Error_Handling
+ECHO There was an error while running subwcrev. Please verify that the *.cs.frame files have been correctly converted to *.cs files, otherwise HeuristicLab won't build. 
+exit 0
+
+:Done
Index: /branches/2981_MRCPSP/PreBuildEvent.sh
===================================================================
--- /branches/2981_MRCPSP/PreBuildEvent.sh	(revision 16523)
+++ /branches/2981_MRCPSP/PreBuildEvent.sh	(revision 16523)
@@ -0,0 +1,29 @@
+export AIFile=$ProjectDir/Properties/AssemblyInfo.cs.frame
+export PluginFile=$ProjectDir/Plugin.cs.frame
+
+command_exists () {
+    command -v "$1" 
+}
+
+if command_exists svnwcrev ; then   
+	if [ -f $AIFile ];
+	then
+	  svnwcrev $ProjectDir $AIFile $ProjectDir/Properties/AssemblyInfo.cs
+	fi
+
+	if [ -f $PluginFile ];
+	then
+	  svnwcrev $ProjectDir $PluginFile $ProjectDir/Plugin.cs
+	fi
+else
+	if [ -f $AIFile ];
+	then
+	  sed 's/\$WCREV\$/'0'/g' $AIFile > $ProjectDir/Properties/AssemblyInfo.cs 
+	fi
+
+	if [ -f $PluginFile ];
+	then
+	 sed 's/\$WCREV\$/'0'/g' $PluginFile > $ProjectDir/Plugin.cs
+	fi
+fi
+